Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.context
Interface ComponentInvoker

    public interface ComponentInvoker

Interface for call lifecycle methods on component with known clientId For JSF 1.2 implementation must use invokeOnComponent method, for JSF 1.1 use simple recursion on view tree ( not compatible with UIData components )

Author:
  shura

Method Summary
`boolean` | `invokeOnComponent(javax.faces.component.UIComponent root, javax.faces.context.FacesContext context, InvokerCallback callback, java.lang.String regionId)` Recursive call for all children for search component with same clientId as target region
`void` | `invokeOnRegionOrRoot(AjaxViewRoot viewRoot, javax.faces.context.FacesContext context, InvokerCallback callback)` Invoke method on active AjaxContainer component, or on viewRoot, if none.

Method Detail

### invokeOnRegionOrRoot

    void invokeOnRegionOrRoot(AjaxViewRoot viewRoot,
                              javax.faces.context.FacesContext context,
                              InvokerCallback callback)

  Invoke method on active AjaxContainer component, or on viewRoot, if none.

  Parameters:
    `viewRoot` -
    `context` -
    `callback` -

### invokeOnComponent

    boolean invokeOnComponent(javax.faces.component.UIComponent root,
                              javax.faces.context.FacesContext context,
                              InvokerCallback callback,
                              java.lang.String regionId)

  Recursive call for all children for search component with same clientId as target region

  Parameters:
    `viewRoot` -
    `context` -
    `callback` -
    `regionId` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.